Bug 1838672 - OCPRHV-121: RFE: Add to Config Struct PEM URL
Summary: OCPRHV-121: RFE: Add to Config Struct PEM URL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.6.0
Assignee: Douglas Schilling Landgraf
QA Contact: Guilherme Santos
URL:
Whiteboard:
Depends On: OCPRHV-176 1850723
Blocks: OCPRHV-208
TreeView+ depends on / blocked
 
Reported: 2020-05-21 14:36 UTC by Douglas Schilling Landgraf
Modified: 2020-10-27 16:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:00:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3637 0 None closed oVirt: general improvements 2020-10-31 19:12:27 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:00:42 UTC

Description Douglas Schilling Landgraf 2020-05-21 14:36:45 UTC
Description of problem:

Today we store the CABundle but we don't keep where we grab the bundle. 

Use case:
   - Easy access via Config Struct
   - Available to users/support/devels via ~/.ovirt/ovirt-config.yaml


Today:
--------------
./bin/openshift-install create cluster --log-level=debug
<after the installation complete>

$ cat ~/.ovirt/ovirt-config.yaml
-------------
ovirt_url: https://engine.medogz.home/ovirt-engine/api
ovirt_username: admin@internal
ovirt_password: my-super-password
ovirt_ca_bundle: |-
  -----BEGIN CERTIFICATE-----
  MIIDvTCCAqWgAwIBAgICEAAwDQYJKoZIhvcNAQELBQAwRjELMAkGA1UEBhMCVVMxFDASBgNVBAoM
  C21lZG9nei5ob21lMSEwHwYDVQQDDBhkFwWdQJnh504tTXwy7wFW5dc+wu+NA6FEleFxhPq5UPe3
  yYxCfXTToES8Jy6QnrxQAvbyxTcdXqMa1+IJqJ/5Ul35edI7j/hyLgqPA27LOVtPWib3GnTVGjb6
  vzU+2hoeg/FYi5yJmhHhYATD6ppv1aLspIKTAP6svocokLk47kOamLrII3foj0B+LB7MS7H1C96x
  KZ/K4uhPzbF06aBdLqGblEr2git/zbMc4xolNyCXpBOC5Ry1VQfhukkCAwEAAaOBtDCBsTAdBgNV
  HQ4EFgQU0Wfei7EeaUQhH/qn7x1cdBOdfe0wbwYDVR0jBGgwZoAU0Wfei7EeaUQhH/qn7x1cdBOd
  fe2hSqRIMEYxCzAJBgNVBAYTAlVTMRQwEgYDVQQKDAttZWRvZ3ouaG9tZTEhMB8GA1UEAwwYZW5n
  aW5lLm1lZG9nei5ob21lLjUyNzA1ggIQADAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB/wQEAwIB
  BjANBgkqhkiG9w0BAQsFAAOCAQEAqe4UO600SZ/NTdv38UnkHRvyLHWrk5j4q+9eSAvmeTFyZcZD
  KdaeBn6yP0q0Od9yknn+VqTdqtPYJMHzQCnjrHcJKSs4xCN+ne2tXUgBaPj/I+wTB+8IP8ZQQ6vo
  M9xRLtZQaJ/dgOLTMwhaQnv2R5YbaysN2no7gOyCyqrkSTWNH9CziNPO3Hw6YmjWrifCHIFDUj3y
  cerf2Dmcy+yIQoUkYhpvMO9hfFq3yBzDkmhbYdz+O8QK3/LUZYVNK5j8VKtN/Bhj2wB88Kx9VH2o
  5AvuDslWXzT8T/car1UuvqFoFVpoUMfzeFCWdrEnGU4YbbgeAMzNzY7Tlf3UsRTbwQ==
  -----END CERTIFICATE-----

Expected:
--------------
$ cat ~/.ovirt/ovirt-config.yaml
ovirt_url: https://engine.medogz.home/ovirt-engine/api
ovirt_pem_url: https://engine.medogz.home/ovirt-engine/services/pki-resource?resource=ca-certificate&format=X509-PEM-CA

^^^^^^ here

ovirt_username: admin@internal
ovirt_password: my-super-password
ovirt_ca_bundle: |-
  -----BEGIN CERTIFICATE-----
  MIIDvTCCAqWgAwIBAgICEAAwDQYJKoZIhvcNAQELBQAwRjELMAkGA1UEBhMCVVMxFDASBgNVBAoM
  C21lZG9nei5ob21lMSEwHwYDVQQDDBhkFwWdQJnh504tTXwy7wFW5dc+wu+NA6FEleFxhPq5UPe3
  yYxCfXTToES8Jy6QnrxQAvbyxTcdXqMa1+IJqJ/5Ul35edI7j/hyLgqPA27LOVtPWib3GnTVGjb6
  vzU+2hoeg/FYi5yJmhHhYATD6ppv1aLspIKTAP6svocokLk47kOamLrII3foj0B+LB7MS7H1C96x
  KZ/K4uhPzbF06aBdLqGblEr2git/zbMc4xolNyCXpBOC5Ry1VQfhukkCAwEAAaOBtDCBsTAdBgNV
  HQ4EFgQU0Wfei7EeaUQhH/qn7x1cdBOdfe0wbwYDVR0jBGgwZoAU0Wfei7EeaUQhH/qn7x1cdBOd
  fe2hSqRIMEYxCzAJBgNVBAYTAlVTMRQwEgYDVQQKDAttZWRvZ3ouaG9tZTEhMB8GA1UEAwwYZW5n
  aW5lLm1lZG9nei5ob21lLjUyNzA1ggIQADAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB/wQEAwIB
  BjANBgkqhkiG9w0BAQsFAAOCAQEAqe4UO600SZ/NTdv38UnkHRvyLHWrk5j4q+9eSAvmeTFyZcZD
  KdaeBn6yP0q0Od9yknn+VqTdqtPYJMHzQCnjrHcJKSs4xCN+ne2tXUgBaPj/I+wTB+8IP8ZQQ6vo
  M9xRLtZQaJ/dgOLTMwhaQnv2R5YbaysN2no7gOyCyqrkSTWNH9CziNPO3Hw6YmjWrifCHIFDUj3y
  cerf2Dmcy+yIQoUkYhpvMO9hfFq3yBzDkmhbYdz+O8QK3/LUZYVNK5j8VKtN/Bhj2wB88Kx9VH2o
  5AvuDslWXzT8T/car1UuvqFoFVpoUMfzeFCWdrEnGU4YbbgeAMzNzY7Tlf3UsRTbwQ==
  -----END CERTIFICATE-----

Comment 4 Guilherme Santos 2020-07-22 13:58:44 UTC
Verified on:
4.6.0-0.nightly-2020-07-22-074636

Steps:
1. # openshift-install create cluster --log-level=debug --dir=resources
2. # grep ovirt_pem_url ~/.ovirt/ovirt-config.yaml

Results:
value ovirt_pem_url present which pem url as expected

Comment 6 errata-xmlrpc 2020-10-27 16:00:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.